- Main Page
- Modules
- Namespaces
- Classes
- Files

# wrap.h File Reference

`#include <gst/gstminiobject.h>`
`#include <glibmm/refptr.h>`
`#include <gstreamermm/miniobject.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
## Functions
template<class T>
T::BaseObjectType* | Gst::unwrap (T* ptr)
| Get the underlying C instance from the C++ instance.
template<class T>
const T::BaseObjectType* | Gst::unwrap (const T* ptr)
| Get the underlying C instance from the C++ instance.
template<class T>
T::BaseObjectType* | Gst::unwrap (const Glib::RefPtr<T>& ptr)
| Get the underlying C instance from the C++ instance.
template<class T>
const T::BaseObjectType* | Gst::unwrap (const Glib::RefPtr<const T>& ptr)
| Get the underlying C instance from the C++ instance.
template<class T>
T::BaseObjectType* | Gst::unwrap_copy (const Glib::RefPtr<T>& ptr)
| Get the underlying C instance from the C++ instance and acquire a reference.
template<class T>
const T::BaseObjectType* | Gst::unwrap_copy (const Glib::RefPtr<const T>& ptr)
| Get the underlying C instance from the C++ instance and acquire a reference.
## Variables
GLIBMM_API GQuark | Gst::quark_
GLIBMM_API GQuark | Gst::quark_cpp_wrapper_deleted_